Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/sandy: new aport

From: systmkor <systmkor_at_gmail.com>
Date: Fri, 10 Apr 2015 18:14:32 -0700

sandy is an ncurses text editor with an easy-to-read, hackable C source
http://tools.suckless.org/sandy
---
 testing/sandy/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/sandy/APKBUILD
diff --git a/testing/sandy/APKBUILD b/testing/sandy/APKBUILD
new file mode 100644
index 0000000..58c9067
--- /dev/null
+++ b/testing/sandy/APKBUILD
_at_@ -0,0 +1,43 @@
+# Contributor:
+# Maintainer:
+pkgname=sandy
+pkgver=0.4
+pkgrel=0
+pkgdesc="sandy is an ncurses text editor with an easy-to-read, hackable C source."
+url="http://tools.suckless.org/sandy"
+arch="all"
+license="MIT"
+depends="ncurses"
+depends_dev=""
+makedepends="$depends_dev ncurses-dev"
+install=""
+subpackages=""
+source="http://git.suckless.org/sandy/snapshot/sandy-0.4.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
+	install -d "$pkgdir"/usr/share/licenses/"$pkgname"
+	install -m644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="93035808a01f45539d87ca0f54913424  sandy-0.4.tar.gz"
+sha256sums="b7aa89748c66d0adaf8d6af077f5e4fbfd88946f46e386baec06a18175eb4d57  sandy-0.4.tar.gz"
+sha512sums="772c768155d91d6639eba8a92498cdc1dc833a247714a2ac0fb39e66424d73abebb5535f647ced02a701c3275e5ee1925825cc379b8238a058491f70f329d151  sandy-0.4.tar.gz"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Apr 10 2015 - 18:14:32 GMT